Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.list.tags
Class ObjectTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.makumba.analyser.AnalysableTag
              org.makumba.commons.tags.GenericMakumbaTag
                  org.makumba.list.tags.GenericListTag
                      org.makumba.list.tags.QueryTag
                          org.makumba.list.tags.ObjectTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class ObjectTag

extends QueryTag

mak:object tag

Version:
  $Id: ObjectTag.java 2920 2008-07-28 09:05:21Z rosso_nero $
Author:
  Cristian Bogdan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.makumba.list.tags.QueryTag
`authorize, countVar, editable, editPage, execution, limit, logicClass, maxCountVar, offset, one, queryProps, separator, standardCountVar, standardLastCountVar, standardMaxCountVar, standardMaxResultsContext, standardMaxResultsKey, standardMaxResultsVar, upperCount, upperMaxCount, upperMaxResults, zero`

Fields inherited from class org.makumba.list.tags.GenericListTag
`fdp`

Fields inherited from class org.makumba.commons.tags.GenericMakumbaTag
`extraFormatting, extraFormattingParams, NEEDED_RESOURCES, params`

Fields inherited from class org.makumba.analyser.AnalysableTag
`analyzedTag, ATTRIBUTE_VALUES_TRUE_FALSE, runningTag, tagData, tagKey, TYPES`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ObjectTag()`

Method Summary
`protected void` | `setNumberOfIterations(int max)` Sets the number of iterations in the iterationGroup.

Methods inherited from class org.makumba.list.tags.QueryTag
`allowsIdenticalKey, cacheQuery, canHaveBody, count, doAfterBody, doAnalyzedCleanup, doAnalyzedEndTag, doAnalyzedStartTag, doEndAnalyze, doStartAnalyze, getEditable, getEditPage, getLimitInt, getLogicClass, getOffsetInt, getParentList, getParentListKey, getQuery, lastCount, maxCount, maxResults, onlyOuterListArgument, setAuthorize, setCountVar, setDefaultLimit, setEditable, setEditPage, setFrom, setGroupBy, setLimit, setLogicClass, setMaxCountVar, setOffset, setOrderBy, setSeparator, setTagKey, setVariableFrom, setWhere`

Methods inherited from class org.makumba.list.tags.GenericListTag
`addToParentListKey, doEndTag, getDatabaseName, getDataSourceName, onlyRootArgument, setDb`

Methods inherited from class org.makumba.commons.tags.GenericMakumbaTag
`doStartTag, getParams, initialiseState, setAddTitle, setCols, setConvertLinks, setDefault, setElementSeparator, setEllipsis, setEllipsisLength, setEmpty, setFormat, setHtml, setLabelSeparator, setLineSeparator, setLongLineLength, setMaxlength, setMaxLength, setOnClick, setOnDblClick, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseMove, setOnMouseOut, setOnMouseOver, setOnMouseUp, setRows, setSize, setStyle, setStyleClass, setStyleId, setTitle, setType, setType, setUrlEncode, toString`

Methods inherited from class org.makumba.analyser.AnalysableTag
`addTagText, checkValidAttributeValues, getAnalyzedTag, getCurrentBodyTag, getPageCache, getPageContext, getPageTextInfo, getRunningTag, getTagKey, getTagText, getThreadTagStack, initializeThread, needPageCache, onlyInt, setTagDataAtAnalysis`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, release, setPageContext, setParent`

Constructor Detail

### ObjectTag

    public ObjectTag()

Method Detail

### setNumberOfIterations

    protected void setNumberOfIterations(int max)
                                  throws JspException

  Description copied from class: `QueryTag`
  Sets the number of iterations in the iterationGroup. ObjectTag will redefine this and throw an exception if n>1

  Overrides:
    `setNumberOfIterations` in class `QueryTag`
  Parameters:
    `max` - The number of iterations in the iterationGroup
  Throws:
    `JspException`
  See Also:
    `ObjectTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20